| Home | Libraries | People | FAQ | More

##### basic_signal_set::basic_signal_set (4 of 8 overloads)

Construct a signal set and add one signal.

    template<
        typename ExecutionContext>
    basic_signal_set(
        ExecutionContext & context,
        int signal_number_1,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value >::type *  = 0);

This constructor creates a signal set and registers for one signal.

###### Parameters

context

  An execution context which provides the I/O executor that the signal set will use, by default, to dispatch handlers for any asynchronous operations performed on the signal set.

signal_number_1

  The signal number to be added.

###### Remarks

This constructor is equivalent to performing:

    boost::asio::signal_set signals(context);
    signals.add(signal_number_1);